Gecode::Int::Distinct::MinIncIdx< View > Class Template Reference

Sort-order by increasing minimum (by index). More...

`#include <bnd.hpp>`

## Public Member Functions

| MinIncIdx (const ViewArray< View > &x0)
bool | operator() (const int i, const int j)

## Protected Attributes

ViewArray< View > | x

## Detailed Description

template<class View>
class Gecode::Int::Distinct::MinIncIdx< View >

Sort-order by increasing minimum (by index).

Definition at line 114 of file bnd.hpp.

## Constructor & Destructor Documentation

## MinIncIdx()

template<class View>

Gecode::Int::Distinct::MinIncIdx< View >::MinIncIdx | ( | const ViewArray< View > & | x0 | ) |

inline

Definition at line 119 of file bnd.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::Distinct::MinIncIdx< View >::operator() | ( | const int | i,
|  | const int | j )

inline

Definition at line 121 of file bnd.hpp.

## Member Data Documentation

## x

template<class View>

ViewArray<View> Gecode::Int::Distinct::MinIncIdx< View >::x

protected

Definition at line 116 of file bnd.hpp.

The documentation for this class was generated from the following file:

- gecode/int/distinct/bnd.hpp